import config from '@/config'
import request from '@/utils/request'

// 登录
export function login(params: Record<string, any>) {
    return request.post({
        url: '/system/login',
        params: { ...params, terminal: config.terminal }
    })
}

// 退出登录
export function logout() {
    return request.post({ url: '/system/logout' })
}

// 用户信息
export function getUserInfo() {
    return request.get({ url: '/system/admin/self' })
}

// 菜单路由
export function getMenu() {
    return request.get({ url: '/system/menu/route' })
}

// 编辑管理员信息
export function setUserInfo(params: any) {
    return request.post({ url: '/system/admin/upInfo', params })
}

// 用户列表
export function apiUserLists(params: any) {
    return request.get({ url: '/user/list', params })
}

// 设置用户信息
export function apiSetUserInfo(params: {
    id: number | string
    field: string
    value: string | number
}) {
    return request.post({ url: '/user/edit', params })
}

// 用户详情
export function apiUserDetail(params: any) {
    return request.get({ url: '/user/detail', params })
}

// 调整余额
export function adjustUserWallet(params: any) {
    return request.post({ url: '/user/adjustWallet', params })
}
